Submit Build
curl --request POST \
--url https://api.neuralfactory.ai/builds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "<string>",
"mode": "build",
"description": "<string>",
"sample_files": [
{}
],
"blueprint": {},
"spec": {},
"feedback": "<string>",
"design_history": [
{}
],
"brief": "<string>",
"target_id": "<string>"
}
'import requests
url = "https://api.neuralfactory.ai/builds"
payload = {
"kind": "<string>",
"mode": "build",
"description": "<string>",
"sample_files": [{}],
"blueprint": {},
"spec": {},
"feedback": "<string>",
"design_history": [{}],
"brief": "<string>",
"target_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: '<string>',
mode: 'build',
description: '<string>',
sample_files: [{}],
blueprint: {},
spec: {},
feedback: '<string>',
design_history: [{}],
brief: '<string>',
target_id: '<string>'
})
};
fetch('https://api.neuralfactory.ai/builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/builds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'kind' => '<string>',
'mode' => 'build',
'description' => '<string>',
'sample_files' => [
[
]
],
'blueprint' => [
],
'spec' => [
],
'feedback' => '<string>',
'design_history' => [
[
]
],
'brief' => '<string>',
'target_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/builds"
payload := strings.NewReader("{\n \"kind\": \"<string>\",\n \"mode\": \"build\",\n \"description\": \"<string>\",\n \"sample_files\": [\n {}\n ],\n \"blueprint\": {},\n \"spec\": {},\n \"feedback\": \"<string>\",\n \"design_history\": [\n {}\n ],\n \"brief\": \"<string>\",\n \"target_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.neuralfactory.ai/builds")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"kind\": \"<string>\",\n \"mode\": \"build\",\n \"description\": \"<string>\",\n \"sample_files\": [\n {}\n ],\n \"blueprint\": {},\n \"spec\": {},\n \"feedback\": \"<string>\",\n \"design_history\": [\n {}\n ],\n \"brief\": \"<string>\",\n \"target_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/builds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"kind\": \"<string>\",\n \"mode\": \"build\",\n \"description\": \"<string>\",\n \"sample_files\": [\n {}\n ],\n \"blueprint\": {},\n \"spec\": {},\n \"feedback\": \"<string>\",\n \"design_history\": [\n {}\n ],\n \"brief\": \"<string>\",\n \"target_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Builds
Submit Build
Start a build; it runs in the background. The answer is its id.
API key permission: Agents (Admin also opens it).
POST
/
builds
Submit Build
curl --request POST \
--url https://api.neuralfactory.ai/builds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "<string>",
"mode": "build",
"description": "<string>",
"sample_files": [
{}
],
"blueprint": {},
"spec": {},
"feedback": "<string>",
"design_history": [
{}
],
"brief": "<string>",
"target_id": "<string>"
}
'import requests
url = "https://api.neuralfactory.ai/builds"
payload = {
"kind": "<string>",
"mode": "build",
"description": "<string>",
"sample_files": [{}],
"blueprint": {},
"spec": {},
"feedback": "<string>",
"design_history": [{}],
"brief": "<string>",
"target_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: '<string>',
mode: 'build',
description: '<string>',
sample_files: [{}],
blueprint: {},
spec: {},
feedback: '<string>',
design_history: [{}],
brief: '<string>',
target_id: '<string>'
})
};
fetch('https://api.neuralfactory.ai/builds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/builds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'kind' => '<string>',
'mode' => 'build',
'description' => '<string>',
'sample_files' => [
[
]
],
'blueprint' => [
],
'spec' => [
],
'feedback' => '<string>',
'design_history' => [
[
]
],
'brief' => '<string>',
'target_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/builds"
payload := strings.NewReader("{\n \"kind\": \"<string>\",\n \"mode\": \"build\",\n \"description\": \"<string>\",\n \"sample_files\": [\n {}\n ],\n \"blueprint\": {},\n \"spec\": {},\n \"feedback\": \"<string>\",\n \"design_history\": [\n {}\n ],\n \"brief\": \"<string>\",\n \"target_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.neuralfactory.ai/builds")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"kind\": \"<string>\",\n \"mode\": \"build\",\n \"description\": \"<string>\",\n \"sample_files\": [\n {}\n ],\n \"blueprint\": {},\n \"spec\": {},\n \"feedback\": \"<string>\",\n \"design_history\": [\n {}\n ],\n \"brief\": \"<string>\",\n \"target_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/builds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"kind\": \"<string>\",\n \"mode\": \"build\",\n \"description\": \"<string>\",\n \"sample_files\": [\n {}\n ],\n \"blueprint\": {},\n \"spec\": {},\n \"feedback\": \"<string>\",\n \"design_history\": [\n {}\n ],\n \"brief\": \"<string>\",\n \"target_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Body
application/json
One build. Which fields a build needs depends on its kind and mode, so they are all
optional here and checked together (routes.check_request): a body that does not fit
its kind and mode is a 422 naming what is missing.